#!/bin/bash
echo "init dirctory ..."

if  [ -d /var/www/html/20161206 ] then
	chmod 777 /var/www/html/20161206 -R 
else
	echo "/var/www/html/20161206 don't exist"
	exit
fi

if  [ -d /var/www/html/20161206/repodata ] then
	setfacl -m user:apache:rwx /var/www/html/20161206/repodata
else
	echo "/var/www/html/20161206/repodata don't exist"
	exit
fi

if  [ -d /var/www/html/20161206/V6.9-submit ] then
	setfacl -m user:apache:rwx /var/www/html/20161206/V6.9-submit/
else
	echo "/var/www/html/20161206/V6.9-submit don't exist"
	exit
fi

if  [ -d /var/www/html/soft_icon ] then
	setfacl -m user:apache:rwx /var/www/html/soft_icon
else
	echo "/var/www/html/soft_icon don't exist"
	exit
fi

echo "init msyql ..."

if  [ -f ./software_center.sql ] then
	mysqldump -uroot -p123456 software_center < software_center.sql
	echo "mysql init ok ..."
else
	echo "mysql init error ..."
	exit
fi
echo "init success ..."

